Index: code/branches/FICN/src/audio/AudioBuffer.cc
===================================================================
--- code/branches/FICN/src/audio/AudioBuffer.cc	(revision 707)
+++ code/branches/FICN/src/audio/AudioBuffer.cc	(revision 708)
@@ -30,5 +30,5 @@
 namespace audio
 {
-	AudioBuffer::AudioBuffer(std::string fileName)
+	AudioBuffer::AudioBuffer(orxonox::String fileName)
 	{
 		// Load wav data into buffers.
Index: code/branches/FICN/src/audio/AudioBuffer.h
===================================================================
--- code/branches/FICN/src/audio/AudioBuffer.h	(revision 707)
+++ code/branches/FICN/src/audio/AudioBuffer.h	(revision 708)
@@ -9,5 +9,5 @@
 	{
 	public:
-		AudioBuffer(std::string fileName);
+		AudioBuffer(orxonox::String fileName);
 		~AudioBuffer();
 	private:
@@ -15,5 +15,5 @@
 		ALuint buffer;
 		// Identifier
-		std::string name;
+		orxonox::String name;
 		// True if AL was able to load data
 		ALboolean loaded;
Index: code/branches/FICN/src/audio/AudioIncludes.h
===================================================================
--- code/branches/FICN/src/audio/AudioIncludes.h	(revision 707)
+++ code/branches/FICN/src/audio/AudioIncludes.h	(revision 708)
@@ -1,4 +1,3 @@
 #include <iostream>
-#include <string>
 #include <vector>
 
@@ -11,3 +10,4 @@
 #include <vorbis/vorbisfile.h>
 
-#include "../orxonox/core/Error.h"
+#include "orxonox/core/Error.h"
+#include "misc/String.h"
Index: code/branches/FICN/src/audio/AudioManager.cc
===================================================================
--- code/branches/FICN/src/audio/AudioManager.cc	(revision 707)
+++ code/branches/FICN/src/audio/AudioManager.cc	(revision 708)
@@ -27,5 +27,5 @@
 
 #include "AudioManager.h"
-#include "../orxonox/core/Debug.h"
+#include "orxonox/core/Debug.h"
 
 namespace audio
@@ -72,7 +72,7 @@
 	}
 
-	void AudioManager::ambientAdd(std::string file)
+	void AudioManager::ambientAdd(orxonox::String file)
 	{
-    std::string path = ambientPath + "/" + file + ".ogg";
+    orxonox::String path = ambientPath + "/" + file + ".ogg";
 		AudioStream tmp(path);
 		tmp.open();
Index: code/branches/FICN/src/audio/AudioManager.h
===================================================================
--- code/branches/FICN/src/audio/AudioManager.h	(revision 707)
+++ code/branches/FICN/src/audio/AudioManager.h	(revision 708)
@@ -37,5 +37,5 @@
 		void update();
 
-		void ambientAdd(std::string file);
+		void ambientAdd(orxonox::String file);
 		void ambientStart();
 		void ambientStop();
@@ -49,5 +49,5 @@
 
 
-		std::string ambientPath;
+		orxonox::String ambientPath;
 	
 		// Vector containing all audio files
Index: code/branches/FICN/src/audio/AudioStream.cc
===================================================================
--- code/branches/FICN/src/audio/AudioStream.cc	(revision 707)
+++ code/branches/FICN/src/audio/AudioStream.cc	(revision 708)
@@ -28,9 +28,9 @@
 
 #include "AudioStream.h"
-#include "../orxonox/core/Debug.h"
+#include "orxonox/core/Debug.h"
 
 namespace audio
 {
-	AudioStream::AudioStream(std::string path)
+	AudioStream::AudioStream(orxonox::String path)
 	{
 		this->path = path;
@@ -40,19 +40,24 @@
 	void AudioStream::open()
 	{
-	    int result;
-
-
-	    if(!(oggFile = fopen(path.c_str(), "rb")))
+	    //int result;
+      errno_t result;
+
+
+	    if(fopen_s(&oggFile, path.c_str(), "rb"))
 			{
 	    	orxonox::Error("Could not open Ogg file "+path);
 				return;
 			}
-
-	    if((result = ov_open(oggFile, &oggStream, NULL, 0)) < 0)
+      else
+      {
+        COUT(4) << "Opened Ogg file" << path << std::endl;
+      }
+
+	    /*if((result = ov_open(oggFile, &oggStream, NULL, 0)) < 0)
 	    {
         fclose(oggFile);
 	      orxonox::Error("Could not open Ogg stream. " + errorString(result));
 				return;
-	    }
+	    }*/
 
 			loaded = true;
@@ -254,20 +259,20 @@
 
 
-	std::string AudioStream::errorString(int code)
+	orxonox::String AudioStream::errorString(int code)
 	{
 	    switch(code)
 	    {
 	        case OV_EREAD:
-	            return std::string("Read from media.");
+	            return orxonox::String("Read from media.");
 	        case OV_ENOTVORBIS:
-	            return std::string("Not Vorbis data.");
+	            return orxonox::String("Not Vorbis data.");
 	        case OV_EVERSION:
-	            return std::string("Vorbis version mismatch.");
+	            return orxonox::String("Vorbis version mismatch.");
 	        case OV_EBADHEADER:
-	            return std::string("Invalid Vorbis header.");
+	            return orxonox::String("Invalid Vorbis header.");
 	        case OV_EFAULT:
-	            return std::string("Internal logic fault (bug or heap/stack corruption.");
+	            return orxonox::String("Internal logic fault (bug or heap/stack corruption.");
 	        default:
-	            return std::string("Unknown Ogg error.");
+	            return orxonox::String("Unknown Ogg error.");
 	    }
 	}
Index: code/branches/FICN/src/audio/AudioStream.h
===================================================================
--- code/branches/FICN/src/audio/AudioStream.h	(revision 707)
+++ code/branches/FICN/src/audio/AudioStream.h	(revision 708)
@@ -11,5 +11,5 @@
   {
     public:
-      AudioStream(std::string path);
+      AudioStream(orxonox::String path);
       void open();
       void release();
@@ -24,8 +24,8 @@
       void empty();
       void check();
-      std::string errorString(int code);
+      orxonox::String errorString(int code);
 
     private:
-      std::string path;
+      orxonox::String path;
 
       FILE*           oggFile;
Index: code/branches/FICN/src/loader/LevelLoader.cc
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.cc	(revision 707)
+++ code/branches/FICN/src/loader/LevelLoader.cc	(revision 708)
@@ -42,5 +42,5 @@
 {
 
-  LevelLoader::LevelLoader(std::string file, std::string path)
+  LevelLoader::LevelLoader(orxonox::String file, orxonox::String path)
   {
     valid_ = false;
@@ -155,5 +155,5 @@
 
               tElem = tNode->ToElement();
-              std::string elemVal = tElem->Value();
+              orxonox::String elemVal = tElem->Value();
               if (elemVal == "ogg")
               {
Index: code/branches/FICN/src/loader/LevelLoader.h
===================================================================
--- code/branches/FICN/src/loader/LevelLoader.h	(revision 707)
+++ code/branches/FICN/src/loader/LevelLoader.h	(revision 708)
@@ -9,7 +9,7 @@
 #define _LevelLoader_H__
 
-#include <string>
+#include "LoaderPrereqs.h"
 
-#include "LoaderPrereqs.h"
+#include "misc/String.h"
 #include "tinyxml/tinyxml.h"
 
@@ -23,5 +23,5 @@
   public:
     // Constructors, loads the level file and some information data
-    LevelLoader(std::string file, std::string dir = "levels");
+    LevelLoader(orxonox::String file, orxonox::String dir = "levels");
     // Destructor
     virtual ~LevelLoader();
@@ -30,19 +30,19 @@
 
     // Getters
-    inline std::string name() {return name_; };
-    inline std::string description() {return description_; };
-    inline std::string image() {return image_; };
+    inline orxonox::String name() {return name_; };
+    inline orxonox::String description() {return description_; };
+    inline orxonox::String image() {return image_; };
   private:
     //! Level information
-    std::string name_;
-    std::string description_;
-    std::string image_;
-    std::string loadingBackgroundColor_;
-    std::string loadingBackgroundImage_;
-    std::string loadingBarImage_;
-    std::string loadingBarTop_;
-    std::string loadingBarLeft_;
-    std::string loadingBarWidth_;
-    std::string loadingBarHeight_;
+    orxonox::String name_;
+    orxonox::String description_;
+    orxonox::String image_;
+    orxonox::String loadingBackgroundColor_;
+    orxonox::String loadingBackgroundImage_;
+    orxonox::String loadingBarImage_;
+    orxonox::String loadingBarTop_;
+    orxonox::String loadingBarLeft_;
+    orxonox::String loadingBarWidth_;
+    orxonox::String loadingBarHeight_;
 
     //! Set to true if it was possible to load the level file
Index: code/branches/FICN/src/misc/ColourValue.h
===================================================================
--- code/branches/FICN/src/misc/ColourValue.h	(revision 708)
+++ code/branches/FICN/src/misc/ColourValue.h	(revision 708)
@@ -0,0 +1,8 @@
+#include <OgreColourValue.h>
+
+#include "Math.h"
+
+namespace orxonox
+{
+  typedef Ogre::ColourValue ColourValue;
+}
Index: code/branches/FICN/src/misc/Math.h
===================================================================
--- code/branches/FICN/src/misc/Math.h	(revision 708)
+++ code/branches/FICN/src/misc/Math.h	(revision 708)
@@ -0,0 +1,7 @@
+#include <OgreMath.h>
+
+namespace orxonox
+{
+  typedef Ogre::Radian Radian;
+  typedef Ogre::Degree Degree;
+}
Index: code/branches/FICN/src/misc/Matrix3.h
===================================================================
--- code/branches/FICN/src/misc/Matrix3.h	(revision 708)
+++ code/branches/FICN/src/misc/Matrix3.h	(revision 708)
@@ -0,0 +1,8 @@
+#include <OgreMatrix3.h>
+
+#include "Math.h"
+
+namespace orxonox
+{
+  typedef Ogre::Matrix3 Matrix3;
+}
Index: code/branches/FICN/src/misc/Quaternion.h
===================================================================
--- code/branches/FICN/src/misc/Quaternion.h	(revision 708)
+++ code/branches/FICN/src/misc/Quaternion.h	(revision 708)
@@ -0,0 +1,8 @@
+#include <OgreQuaternion.h>
+
+#include "Math.h"
+
+namespace orxonox
+{
+  typedef Ogre::Quaternion Quaternion;
+}
Index: code/branches/FICN/src/misc/Sleep.h
===================================================================
--- code/branches/FICN/src/misc/Sleep.h	(revision 708)
+++ code/branches/FICN/src/misc/Sleep.h	(revision 708)
@@ -0,0 +1,7 @@
+// hack for the usleep/Sleep problem
+#if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
+#  include <windows.h>
+#  define usleep(x) Sleep((x)/1000)
+#elif ORXONOX_PLATFORM == ORXONOX_PLATFORM_LINUX
+#  include <unistd.h>
+#endif
Index: code/branches/FICN/src/misc/String.h
===================================================================
--- code/branches/FICN/src/misc/String.h	(revision 708)
+++ code/branches/FICN/src/misc/String.h	(revision 708)
@@ -0,0 +1,6 @@
+#include <string>
+
+namespace orxonox
+{
+  typedef std::string String;
+}
Index: code/branches/FICN/src/misc/String2Number.h
===================================================================
--- code/branches/FICN/src/misc/String2Number.h	(revision 707)
+++ code/branches/FICN/src/misc/String2Number.h	(revision 708)
@@ -6,5 +6,5 @@
 #include <iostream>
 
-#include "../orxonox/core/Debug.h"
+#include "orxonox/core/Debug.h"
 
 /**
Index: code/branches/FICN/src/misc/Vector2.h
===================================================================
--- code/branches/FICN/src/misc/Vector2.h	(revision 708)
+++ code/branches/FICN/src/misc/Vector2.h	(revision 708)
@@ -0,0 +1,8 @@
+#include <OgreVector2.h>
+
+#include "Math.h"
+
+namespace orxonox
+{
+  typedef Ogre::Vector2 Vector2;
+}
Index: code/branches/FICN/src/misc/Vector3.h
===================================================================
--- code/branches/FICN/src/misc/Vector3.h	(revision 708)
+++ code/branches/FICN/src/misc/Vector3.h	(revision 708)
@@ -0,0 +1,8 @@
+#include <OgreVector3.h>
+
+#include "Math.h"
+
+namespace orxonox
+{
+  typedef Ogre::Vector3 Vector3;
+}
Index: code/branches/FICN/src/misc/Vector4.h
===================================================================
--- code/branches/FICN/src/misc/Vector4.h	(revision 708)
+++ code/branches/FICN/src/misc/Vector4.h	(revision 708)
@@ -0,0 +1,8 @@
+#include <OgreVector4.h>
+
+#include "Math.h"
+
+namespace orxonox
+{
+  typedef Ogre::Vector4 Vector4;
+}
Index: code/branches/FICN/src/network/ClientConnection.cc
===================================================================
--- code/branches/FICN/src/network/ClientConnection.cc	(revision 707)
+++ code/branches/FICN/src/network/ClientConnection.cc	(revision 708)
@@ -39,10 +39,5 @@
 #include "ClientConnection.h"
 
-#ifdef WIN32
-#include <windows.h>
-#define usleep(x) Sleep((x)/1000)
-#else
-#include <unistd.h>
-#endif
+#include "misc/Sleep.h"
 
 namespace network{
Index: code/branches/FICN/src/network/NetworkFrameListener.h
===================================================================
--- code/branches/FICN/src/network/NetworkFrameListener.h	(revision 707)
+++ code/branches/FICN/src/network/NetworkFrameListener.h	(revision 708)
@@ -14,5 +14,6 @@
 #define _NetworkFrameListener_H__
 
-#include "OgreFrameListener.h"
+#include <OgreFrameListener.h>
+
 #include "Server.h"
 #include "Client.h"
Index: code/branches/FICN/src/orxonox/AIClass.h
===================================================================
--- code/branches/FICN/src/orxonox/AIClass.h	(revision 707)
+++ code/branches/FICN/src/orxonox/AIClass.h	(revision 708)
@@ -2,19 +2,14 @@
 #define _AIClass_H__
 
-#include <Ogre.h>
-#include <OgreVector3.h>
-#include <OgreMath.h>
+#include "misc/Vector3.h"
 
-#include <iostream>
-
-// FIXME: using namespace xy; in header files is a very bad idea..
-using namespace std;
-using namespace Ogre;
-
-class AIPilot {
+namespace orxonox
+{
+  class AIPilot
+  {
 
 
-  /*
-  TASKS:                                                                         Requirements:
+    /*
+    TASKS:                                                                         Requirements:
 
     - Change actual Speed to required Speed                                          - Speed as Vector3 , spaceship(?) -> pilot attached to it or vice versa (?)
@@ -25,5 +20,5 @@
 
 
-  */
+    */
 
   public:
@@ -32,26 +27,25 @@
 
 
-  //default constructor
-  AIPilot() {
-     speed = (1,0,0);
-  }
+    //default constructor
+    AIPilot() {
+      speed = (1,0,0);
+    }
 
-  Vector3 steer(Vector3 reqSpeed) {
-    Quaternion sRotation = speed.getRotationTo(reqSpeed);
-    Radian rollarc = sRotation.getRoll();
-    Radian pitcharc = sRotation.getPitch();
-    Radian yawarc = sRotation.getYaw();
-    return Vector3((float)rollarc.valueRadians(), (float)pitcharc.valueRadians(), (float)yawarc.valueRadians());
-  }
+    Vector3 steer(Vector3 reqSpeed) {
+      Quaternion sRotation = speed.getRotationTo(reqSpeed);
+      Radian rollarc = sRotation.getRoll();
+      Radian pitcharc = sRotation.getPitch();
+      Radian yawarc = sRotation.getYaw();
+      return Vector3((float)rollarc.valueRadians(), (float)pitcharc.valueRadians(), (float)yawarc.valueRadians());
+    }
 
 
+  };
 
-};
-
-class AIFleetCommander : public  AIPilot {
+  class AIFleetCommander : public  AIPilot {
 
 
-  /*
-  TASKS:                                                                       Requirements:
+    /*
+    TASKS:                                                                       Requirements:
 
     - Same tasks as AI_Pilot (only if shipcontrol)                                   - Same as AI_Pilot
@@ -61,23 +55,24 @@
 
 
-  */
+    */
 
   public:
 
 
-  //default constructor
-  AIFleetCommander() {
+    //default constructor
+    AIFleetCommander() {
 
-  }
+    }
 
 
 
-};
+  };
 
-class AICommander : public  AIFleetCommander {
+  class AICommander : public  AIFleetCommander
+  {
 
 
-  /*
-  TASKS:                                                                     Requirements:
+    /*
+    TASKS:                                                                     Requirements:
 
     - Decide on general tactics                                                      - List of general fleet status + all possible information on enemies
@@ -86,14 +81,15 @@
 
 
-  */
+    */
 
-  //default constructor
-  AICommander() {
+    //default constructor
+    AICommander() {
 
-  }
+    }
 
 
+  };
 
-};
+}
 
 #endif /* _AIClass_H__ */
Index: code/branches/FICN/src/orxonox/Arrival.h
===================================================================
--- code/branches/FICN/src/orxonox/Arrival.h	(revision 707)
+++ code/branches/FICN/src/orxonox/Arrival.h	(revision 708)
@@ -6,16 +6,11 @@
 #define _Arrival_H__
 
-// #include <Ogre.h>
-#include <OgreVector3.h>
+#include "misc/Vector3.h"
+#include "misc/Quaternion.h"
 
-
-#include <iostream>
-
-// FIXME: using namspace xy; in header files is a bad idea
-using namespace std;
-using namespace Ogre;
-
-class Arrival {
-
+namespace orxonox
+{
+  class Arrival
+  {
   public:
     Vector3 location;           //!< locationvector of the element
@@ -27,61 +22,61 @@
 
 
-  Arrival() {
-    acceleration = (0,0,0);
-    speed = (0,0,0);
-    location = (0,0,0);
-    target = (0,0,0);
-  }
+    Arrival() {
+      acceleration = (0,0,0);
+      speed = (0,0,0);
+      location = (0,0,0);
+      target = (0,0,0);
+    }
 
-  Arrival(Vector3 location_, Vector3 speed_, Vector3 acceleration_, Vector3 target_) {
-    acceleration = acceleration_;
-    speed = speed_;
-    location = location_;
-    target = target_;
-  }
+    Arrival(Vector3 location_, Vector3 speed_, Vector3 acceleration_, Vector3 target_) {
+      acceleration = acceleration_;
+      speed = speed_;
+      location = location_;
+      target = target_;
+    }
 
-  void setValues(Vector3 location_, Vector3 speed_, Vector3 acceleration_, Vector3 target_) {
-    acceleration = acceleration_;
-    speed = speed_;
-    location = location_;
-    target = target_;
-  }
+    void setValues(Vector3 location_, Vector3 speed_, Vector3 acceleration_, Vector3 target_) {
+      acceleration = acceleration_;
+      speed = speed_;
+      location = location_;
+      target = target_;
+    }
 
-  void setTarget(Vector3 target_) {
-    setValues(this.location, this.speed, this.acceleration, target_);
-  }
+    void setTarget(Vector3 target_) {
+      setValues(this->location, this->speed, this->acceleration, target_);
+    }
 
-  Vector3 getDirection() {
-    Vector3 direction = target-location;
-  }
+    Vector3 getDirection() {
+      Vector3 direction = target-location;
+    }
 
-  double relativeDirectApproach() {
-    // Maxspeed / accelerationForwards = time needed to break with max acceleration
-    // 2*getDistance()length/(MaxSpeed/accelerationForwards)^2 = required acceleration to arrive at the target with speed = 0
-    return (accelerationForwards / (2*getDirection().length / (MaxSpeed/accelerationForwards)^2) );
-  }
+    double relativeDirectApproach() {
+      // Maxspeed / accelerationForwards = time needed to break with max acceleration
+      // 2*getDistance()length/(MaxSpeed/accelerationForwards)^2 = required acceleration to arrive at the target with speed = 0
+      return (accelerationForwards / (2*getDirection().length() / ((MaxSpeed/accelerationForwards)*(MaxSpeed/accelerationForwards))) );
+    }
 
-  void Approach() {
-    Quaternion rotation = (0,0,0,0);
-    if (relativeDirectApproach() > 1) {
-      float length = speed.length();
-      speed = (speed+getDirection());
-      speed.normalise();
-      speed = speed*length;
-      if (relativeDirectApproach > 4) {
-        //accelerate
+    void Approach() {
+      Quaternion rotation = Quaternion(0,0,0,0);
+      if (relativeDirectApproach() > 1)
+      {
+        float length = speed.length();
+        speed = (speed+getDirection());
+        speed.normalise();
+        speed = speed*length;
+        if (relativeDirectApproach() > 4)
+        {
+          //accelerate
+        }
+        else
+        {
+          // speed will stay constant
+        }
       }
       else {
-        // speed will stay constant
       }
-
-
-    }
-    else {
-
-
     }
 
-  }
+  };
 }
 
